import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _PKPaymentPass } from "./PKPaymentPass.js";
import type { _PKSecureElementPass } from "./PKSecureElementPass.js";
import type { _CNContact } from "../Contacts/CNContact.js";
import type { PKPaymentMethodType } from "./PKPaymentMethodType.js";
export declare class _PKPaymentMethod extends _NSObject {
    static alloc(): _PKPaymentMethod;
    static new(): _PKPaymentMethod;
    init(): _PKPaymentMethod;
    /**
     * A string describing the instrument that's suitable for display This property will be nil prior to the user authorizing the payment
     */
    displayName(): _NSString | null;
    /**
     * The payment network that backs the instrument. Suitable for display. This property will be nil prior to the user authorizing the payment
     */
    network(): _NSString | null;
    /**
     * The underlying instrument type (Credit, Debit, etc)
     * @deprecated Use -[PKPass secureElementPass] instead
     */
    type(): PKPaymentMethodType;
    /**
     * The payment pass - will only be provided if your app is entitled to view the pass in question
     * @deprecated Use -[PKPass secureElementPass] instead
     */
    paymentPass(): _PKPaymentPass | null;
    secureElementPass(): _PKSecureElementPass | null;
    /**
     * A partially redacted billing address. Only available if no shipping address info was requested.
     */
    billingAddress(): _CNContact | null;
}
